import { hcl } from "../../d3-color/src/lab.js";
import nogamma, { hue } from "./color.js";
function hcl$1(n) {
	return function(r, i) {
		var a = n((r = hcl(r)).h, (i = hcl(i)).h), o = nogamma(r.c, i.c), s = nogamma(r.l, i.l), c = nogamma(r.opacity, i.opacity);
		return function(e) {
			return r.h = a(e), r.c = o(e), r.l = s(e), r.opacity = c(e), r + "";
		};
	};
}
var hcl_default = hcl$1(hue);
export { hcl_default as default };
